Cancel listing
Builds a transaction cancelling seller's listing of asset and returning the asset to them.
Authorization
ApiKeyAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Delists an artwork. Any escrowed listing state is closed and its rent returned in the same transaction.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/tx/fixed-price/cancel" \ -H "Content-Type: application/json" \ -d '{ "seller": "string", "asset": "string" }'{ "result": { "tx": "string", "setupTx": "string" }}Create listing POST
Builds a fixed-price listing of asset by seller at price, in currencyMint (SOL when omitted). seller must own the asset.
Update listing POST
Builds a transaction changing the price of seller's listing of asset to newPrice. Nothing else about the listing changes; to change anything else, cancel it and list again.